Bug 8133 - trouble getting rlogin to work with rsh-0.16-1.i386.rpm
trouble getting rlogin to work with rsh-0.16-1.i386.rpm
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rsh (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-03 04:20 EST by dunwoody
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-05 16:16:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dunwoody 2000-01-03 04:20:30 EST
When I upgraded from rsh-0.10-28.i386.rpm to rsh-0.16-1.i386.rpm, rlogin
stopped working for me (rsh still works fine).

On the remote system, I get a normal-looking message in /var/log/messages:
    Jan  3 01:10:00 dunwoody1 in.rlogind[6248]: connect from
c130441-k.smateo1.sfba.home.com
    Jan  3 01:10:01 dunwoody1 pam_rhosts_auth[6248]: allowed to
dunwoody@c130441-k.smateo1.sfba.home.com as dunwoody

On the local system (running rlogin <remotesystem>), I simply get
a "connection closed" message.

Evidently rlogin got stricter in rsh-0.16-1 in a way that I don't
understand.  I've tried changing the permissions and contents of
my /etc/hosts, /etc/hosts.{allow,deny}, /etc/hosts.equiv, and
/etc/pam.d/rlogin in various ways, all to no avail -- I still
get "connection closed".
The documentation (e.g. man in.rlogind) doesn't seem to have changed
materially.  I'd greatly appreciate any suggestions.
Comment 1 Jeff Johnson 2000-01-05 16:16:59 EST
Fixed in rsh-0.16-3 in Raw Hide. Make sure that you pick up the new
rsh-server-0.16-3 package, the fix is in /usr/sbin/in.rlogind in that
package.

Note You need to log in before you can comment on or make changes to this bug.